REM Run DMVT (i.e. DACT)
REM CTS 3.0.4 Requires Java 1.8
set JAVA_EXE="C:\Program Files\Java\jre1.8.0_291\bin\java.exe"

REM Must set the following per your CTS Installation
set DMVT_DACT_JAR="D:\FACE_Bin\CTS\Windows_CTS_3.0.4_Distribution\FACEConformanceTestSuite_3.0.4\DMVT\DAConformanceTest_v30-2022.3.1\DAConformanceTest_v30-2022.3.1.jar"

REM Set to your FACE(tm) Model 
set FACE_Model=Space_Shuttle_Tanks_30.face

REM The SDM is required to validate that the SDM elements in your FACE model have not been altered.
set FACE_SDM=FACE_3.0_Shared_Data_Model_v3.0.2.face

REM Set log file to the name you prefer.
set LOG_FILE=DMVT_ArchitectureModel.log

REM Run DMVT
%JAVA_EXE% -jar %DMVT_DACT_JAR% -usm %FACE_Model% -l %LOG_FILE% -sdm %FACE_SDM%

REM Get DMVT help only
REM %JAVA_EXE% -jar %DMVT_DACT_JAR% -help