REM Army PEO Aviation Control No: 004-23 Distribution Statement A - "Approved for public release: distribution unlimited"

REM Copyright (c) Vanderbilt University, 2024

REM ALL RIGHTS RESERVED, UNLESS OTHERWISE STATED 

REM This software, authored by Vanderbilt University under a contract awarded to and managed by Alion 
REM Science and Technology, was funded by the U.S. Government under Contract No. FA8075-14-D-0014 
REM and the U.S. Government has unlimited rights in this software.  An "unlimited rights" license 
REM means that the U.S. Government can use, modify, reproduce, release or disclose computer software
REM in whole or in part, in any manner, and for any purpose whatsoever, and to have or authorize 
REM others to do so.

REM Vanderbilt University disclaims all warranties with regard to this software, including all implied 
REM warranties of merchantability and fitness. In no event shall Vanderbilt University be liable for 
REM any special, indirect or consequential damages or any damages whatsoever resulting from loss of 
REM use, data or profits, whether in an action of contract, negligence or other tortious action, 
REM arising out of or in connection with the use or performance of this software. 

REM Run DIG (generates IDL)
REM CTS 3.0.4 Requires Java 1.8
set JAVA_EXE="C:\Program Files\Java\jre1.8.0_291\bin\java.exe"

REM Must set the following per your CTS Installation
set IDL_GEN_JAR="D:\FACE_Bin\CTS\Windows_CTS_3.0.4_Distribution\FACEConformanceTestSuite_3.0.4\UsmIDLgen\UsmIDLgen_v30-2022.1.1\UsmIDLgen_v30-2022.1.1.jar"

REM Set to your FACE(tm) Model 
set FACE_Model=Space_Shuttle_Tanks_30.face

%JAVA_EXE% -jar %IDL_GEN_JAR% -usm  %FACE_Model% -view FillValve_Data -out ./IDL_out
%JAVA_EXE% -jar %IDL_GEN_JAR% -usm  %FACE_Model% -view TankLevel_Data -out ./IDL_out


REM Help Only
REM %JAVA_EXE% -jar  %IDL_GEN_JAR% -help